# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: CCBill
    class: QSL\CCBill\Model\Payment\Processor\CCBill
    type: C
    countries: [AD, AT, BE, BG, CA, CH, CY, CZ, DE, DK, EE, ES, FI, FO, FR, GB, GI, GL, GR, HR, HU, IE, IL, IM, IS, IT, LI, LT, LU, LV, MC, MT, NL, NN, 'NO', PL, PT, RO, SE, SI, SK, SM, TR, US, VA]
    translations: [{code: en, name: CCBill}, {code: es, name: CCBill}]
    settings: [{name: clientAccnum}, {name: clientSubacc, value: 0}, {name: formName}, {name: salt}, {name: currency, value: 840}]
XLite\Model\LanguageLabel:
  - name: 'CCBill support will provide you with this information'
    translations: [{code: en, label: 'CCBill support will provide you with this information'}]
  - name: 'CCBill.com Subaccount number'
    translations: [{code: en, label: 'CCBill.com Subaccount number'}]
  - name: 'CCBill.com account number'
    translations: [{code: en, label: 'CCBill.com account number'}]
  - name: 'Form name'
    translations: [{code: en, label: 'Form name'}]
  - name: 'URL for return URL (is set on the side of CCBill):'
    translations: [{code: en, label: 'URL for return URL (is set on the side of CCBill):'}]
